#ifndef _M68HC12_KEYPAD_DEF_H
#define _M68HC12_KEYPAD_DEF_H

// Constant Definitions
// --------------------

// increase this if you're seeing multiple keys returned, decrease if you're missing keys
#define KEY_DEBTIME 0x40        // key debounce time

// RAM Variables
// -------------
extern unsigned char Newkey, Oldkey;

// Function Prototypes
// -------------------
void InitKeypad();
char kbhit();
char getkeypad();


#endif /* _M68HC12_KEYPAD_DEF_H */
