/* ===========================================================================

    keytest.c  - Test program for KEYPAD.C

    Version:        1.0
    Author:         Dusty Nidey, Axiom Manufacturing (www.axman.com)
    Compiler:       GNU for 68HC11 & 68HC12 (www.gnu-m68hc11.org)

    This is freeware - use as you like

==============================================================================
------------------------------------------------------------------------------
*/

#include "..\ports_d256.h"
#include "..\serial\serial.h"
#include "keypad.h"


main(){
    char keyval;

    InitSerial(Baud19200);  // Initialize Serial Port 1
    ioport = 0;               // default output to port sci0

    puts("\nPress any keys on keypad to test... ");

    InitKeypad();  // initialize keypad port used

    for(; ; ){
        keyval = getkeypad();      // return the debounced key pressed
        putchar(keyval);    // echo key pressed to serial port
    }
}

