#ifndef _M68HC12_LCD_DEF_H
#define _M68HC12_LCD_DEF_H

// Constant Definitions
// --------------------
#define WR          0x20     // lcd WR bit
#define RS          0x40     // lcd RS bit
#define EN          0x80     // lcd EN bit

// RAM Variables
// -------------
extern unsigned char LCDBuf;   // holds data and status bits sent to LCD
extern unsigned char LCDStat;  // holds LCD status

// Function Prototypes
// -------------------
void LCDInit();
void LCDputs(char *sptr);
void LCDputch(unsigned char datval);


#endif /* _M68HC12_LCD_DEF_H */
